﻿using System;
using System.Web;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            this.label.Text = DateTime.Now.ToLongTimeString(); 
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 현재 시간 구하기 - GetCurrentTime(context)

        /// <summary>
        /// 현재 시간 구하기
        /// </summary>
        /// <param name="context">컨텍스트</param>
        /// <returns>현재 시간</returns>
        private static string GetCurrentTime(HttpContext context)
        {
            return DateTime.Now.ToLongTimeString();
        }

        #endregion
    }
}